Index: /anuga_work/production/shark_bay_2007/build_shark_bay.py
===================================================================
--- /anuga_work/production/shark_bay_2007/build_shark_bay.py	(revision 4576)
+++ /anuga_work/production/shark_bay_2007/build_shark_bay.py	(revision 4577)
@@ -95,5 +95,5 @@
 if access(project.topographies_dir, F_OK) == 0:
     mkdir (project.topographies_dir)
-G.export_points_file(project.combined_dir_name + '.txt')
+G.export_points_file(project.combined_dir_name + '.pts')
 
 
Index: /anuga_work/production/shark_bay_2007/project.py
===================================================================
--- /anuga_work/production/shark_bay_2007/project.py	(revision 4576)
+++ /anuga_work/production/shark_bay_2007/project.py	(revision 4577)
@@ -40,5 +40,5 @@
 finaltime=25000
 starttime=3600
-setup='basic'
+setup='final'
 source='shark_bay'
 
@@ -60,4 +60,5 @@
 
 
+#dir_comment='_'+setup+'_'+str(tide)+'_'+str(source)+'_'+str(user)+'_'+'nobdry'
 dir_comment='_'+setup+'_'+str(tide)+'_'+str(source)+'_'+str(user)
 
@@ -148,5 +149,5 @@
                  
 
-#from anuga.coordinate_transforms.redfearn import redfearn
+# Bounding polygon
 bounding_polygon = read_polygon(join(polygons_dir, 'boundary_extent.csv'))
 res_bounding_polygon = 250000*res_factor
@@ -154,11 +155,28 @@
 #Interior regions
 poly_inundated_area = read_polygon(join(polygons_dir, 'inundated_area.csv'))
-res_inundated_area = 1000*res_factor
+res_inundated_area = 200*res_factor
+
+poly_tsunami_approach_area = read_polygon(join(polygons_dir, 'tsunami_approach_area.csv'))
+res_tsunami_approach_area = 500*res_factor
 
 poly_bay_area = read_polygon(join(polygons_dir, 'bay_area.csv'))                                   
-res_bay_area = 5000*res_factor                                   
+res_bay_area = 1000*res_factor
 
-interior_regions = [[poly_bay_area, res_bay_area],
-                    [poly_inundated_area, res_inundated_area]]
+poly_map_area = read_polygon(join(polygons_dir, 'map_area.csv'))                                   
+res_map_area = 5000*res_factor
+
+poly_model_area = read_polygon(join(polygons_dir, 'model_area.csv'))                                   
+res_model_area = 200000*res_factor                                   
+
+poly_exclusion_area1 = read_polygon(join(polygons_dir, 'exclusion_area1.csv'))
+res_exclusion_area1 = 2000000*res_factor
+
+interior_regions = [[poly_inundated_area, res_inundated_area],
+                    [poly_tsunami_approach_area, res_tsunami_approach_area],
+                    [poly_bay_area, res_bay_area],                    
+                    [poly_map_area, res_map_area],
+                    [poly_model_area, res_model_area],
+                    [poly_exclusion_area1, res_exclusion_area1]]                                        
+
 
 trigs_min = number_mesh_triangles(interior_regions,
@@ -166,5 +184,4 @@
                                   res_bounding_polygon)
 
-print 'min number triangles', trigs_min
 
 onshore_polygon = read_polygon(join(topographies_in_dir,
Index: /anuga_work/production/shark_bay_2007/run_shark_bay.py
===================================================================
--- /anuga_work/production/shark_bay_2007/run_shark_bay.py	(revision 4576)
+++ /anuga_work/production/shark_bay_2007/run_shark_bay.py	(revision 4577)
@@ -66,5 +66,5 @@
     
     kwargs['output_dir']=project.output_run_time_dir
-    kwargs['bathy_file']=project.combined_dir_name + '.txt'
+    kwargs['bathy_file']=project.combined_dir_name + '.pts'
 #    kwargs['bathy_file']=project.combined_small_dir_name + '.pts'
     kwargs['boundary_file']=project.boundary_name + '.sww'
@@ -83,8 +83,4 @@
 
     print 'Processor Name:', get_processor_name()
-
-    # creates copy of code in output dir
-    print 'min triangles', project.trigs_min,
-    print 'Note: This is generally about 20% less than the final amount'
 
     #--------------------------------------------------------------------------
@@ -132,14 +128,20 @@
     if myid == 0:
 
-        print 'Create onshore polygon'
-        from polygon import Polygon_function
-        #following sets the stage/water to be offcoast only
-        IC = Polygon_function([(project.onshore_polygon, -1.0)],
-                              default = tide,
-                              geo_reference = domain.geo_reference)
-
-        print 'set initial condition'
+        if project.tide == 0.0:
+            print 'Tide is MSL'
+            IC = 0.0
+        else:    
+            print 'Create onshore polygon'
+            from polygon import Polygon_function
+            #following sets the stage/water to be offcoast only
+            IC = Polygon_function([(project.onshore_polygon, -1.0)],
+                                  default = tide,
+                                  geo_reference = domain.geo_reference)
+            
+
+        print 'Set initial conditions'
         domain.set_quantity('stage', IC)
-        domain.set_quantity('friction', friction) 
+        domain.set_quantity('friction', friction)
+        print 'Set elevation'
         domain.set_quantity('elevation', 
                             filename = kwargs['bathy_file'],