Index: /anuga_work/production/shark_bay_2007/export_results.py
===================================================================
--- /anuga_work/production/shark_bay_2007/export_results.py	(revision 4623)
+++ /anuga_work/production/shark_bay_2007/export_results.py	(revision 4624)
@@ -5,15 +5,7 @@
 from os import sep
 
-time_dir = '' # HAT 1 in Dampier 10000 yr
-#time_dir = '' # MSL 1 in Dampier 10000 yr
-#time_dir = '' # HAT 1 in Broome 10000 yr
-#time_dir = '' # MSL 1 in Broome 10000 yr
-#time_dir = '' # HAT 1 in Pt Hedland 10000 yr
-#time_dir = '' # MSL 1 in Pt Hedland 10000 yr
-#time_dir = '' # HAT 1 in Onslow 10000 yr
-#time_dir = '' # MSL 1 in Onslow 10000 yr
-#time_dir = '' # HAT 1 in Exmouth 10000 yr
-#time_dir = '' # MSL 1 in Exmouth 10000 yr
-cellsize = 25
+#time_dir = '20070711_034317_run_final_0.0_shark_bay_onielsen_10000_tide0.0_coastpolys' # July 2006 event; small domain
+time_dir = '20070710_023824_run_final_-0.85_shark_bay_onielsen_july2006_tide-0.85_coastpolys' # July 2006; larger domain
+cellsize = 20
 timestep = None
 directory = project.output_dir
@@ -21,9 +13,10 @@
 name = directory+time_dir+sep+project.scenario_name
 
-is_parallel = True
+is_parallel = False
 if is_parallel == True: nodes = 4
 print 'output dir:', name
 
-var = [2,3] # depth and speed
+var = [0,2,3] # stage, depth and speed
+#var = [4]
 
 for which_var in var:
Index: /anuga_work/production/shark_bay_2007/get_timeseries.py
===================================================================
--- /anuga_work/production/shark_bay_2007/get_timeseries.py	(revision 4624)
+++ /anuga_work/production/shark_bay_2007/get_timeseries.py	(revision 4624)
@@ -0,0 +1,59 @@
+""" Script for generating timeseries from the sww file representing
+the boundary condition for this location.
+
+This to check that arrival times and amplitudes etc are sane at the boundary.
+see sww2timeseries for documentation
+"""
+
+from anuga.abstract_2d_finite_volumes.util import sww2timeseries
+import project
+from os import sep
+
+production_dirs = {#'20070710_023849_run_final_-0.85_shark_bay_onielsen_10000_tide-0.85_coastpolys': 'LAT10000',
+                   #'20070710_001018_run_final_0.85_shark_bay_onielsen_10000_tide0.85_coastpolys': 'HAT10000'}
+                   #'20070710_001110_run_final_0.85_shark_bay_onielsen_july2006_tide0.85_coastpolys': 'HAT06',
+                   #'20070710_023824_run_final_-0.85_shark_bay_onielsen_july2006_tide-0.85_coastpolys': 'LAT06',
+                    '20070712_001432_run_final_0.0_shark_bay_onielsen_experimental_A0.5_T100': 'T100'}
+                    #'20070712_002232_run_final_0.0_shark_bay_onielsen_experimental_A0.5_T200': 'T200'}
+                    #'20070712_002254_run_final_0.0_shark_bay_onielsen_experimental_A0.5_T400': 'T400'}
+                    #'20070712_002317_run_final_0.0_shark_bay_onielsen_experimental_A0.5_T800': 'T800'}
+                    #'20070712_002331_run_final_0.0_shark_bay_onielsen_experimental_A0.5_T900': 'T900'}
+                    #'20070712_002526_run_final_0.0_shark_bay_onielsen_experimental_A0.5_T1800': 'T1800'}
+                    #'20070712_002604_run_final_0.0_shark_bay_onielsen_experimental_A0.5_T3600': 'T3600'}
+                    #'20070712_002625_run_final_0.0_shark_bay_onielsen_experimental_A0.5_T7200': 'T7200'}
+                    #'20070712_003334_run_final_0.0_shark_bay_onielsen_experimental_A0.5_T300': 'T300'}
+                    #'20070712_003400_run_final_0.0_shark_bay_onielsen_experimental_A0.5_T500': 'T500'}
+                    #'20070712_003410_run_final_0.0_shark_bay_onielsen_experimental_A0.5_T600': 'T600'}
+                    #'20070712_003421_run_final_0.0_shark_bay_onielsen_experimental_A0.5_T700': 'T700'}
+                    #'20070712_003433_run_final_0.0_shark_bay_onielsen_experimental_A0.5_T1000': 'T1000'}
+                    #'20070712_003443_run_final_0.0_shark_bay_onielsen_experimental_A0.5_T1100': 'T1100'}
+                    #'20070712_003453_run_final_0.0_shark_bay_onielsen_experimental_A0.5_T1200': 'T1200'}
+                    #'20070712_003527_run_final_0.0_shark_bay_onielsen_experimental_A0.5_T1300': 'T1300'}
+                    #'20070712_003606_run_final_0.0_shark_bay_onielsen_experimental_A0.5_T50': 'T50'}
+                    #'20070712_003616_run_final_0.0_shark_bay_onielsen_experimental_A0.5_T25': 'T25'}
+                    #'20070712_003626_run_final_0.0_shark_bay_onielsen_experimental_A0.5_T12': 'T12'}
+                    #'20070712_003638_run_final_0.0_shark_bay_onielsen_experimental_A0.5_T6': 'T6'}
+                    #'': ''}
+
+swwfiles = {}    
+for label_id in production_dirs.keys():
+    
+    file_loc = project.output_dir + label_id + sep
+    swwfile = file_loc + project.scenario_name + '.sww'
+    swwfiles[swwfile] = label_id
+    
+    # generate figures - see sww2timeseries for documentation
+    texname = sww2timeseries(swwfiles,
+                             project.gauges_dir_name,
+                             production_dirs,
+                             report = False,
+                             plot_quantity = ['stage', 'speed'],
+                             generate_fig = True, 
+                             time_min = None,
+                             time_max = None,
+                             title_on = True,
+                             use_cache = True,
+                             verbose = True)
+
+print 'finished plotting time series'
+
Index: /anuga_work/production/shark_bay_2007/project.py
===================================================================
--- /anuga_work/production/shark_bay_2007/project.py	(revision 4623)
+++ /anuga_work/production/shark_bay_2007/project.py	(revision 4624)
@@ -126,8 +126,8 @@
 
 #gauges
-#gauge_name = 'gauge_location_port_hedland.csv' 
+gauge_name = 'gaugesv2.csv' 
 #gauge_name_test = 'gauge_checking_test.csv' 
-#gauges_dir = anuga_dir+'gauges'+sep
-#gauges_dir_name = gauges_dir + gauge_name
+gauges_dir = anuga_dir+sep+'gauges'+sep
+gauges_dir_name = gauges_dir + gauge_name
 #gauges_dir_name_test = gauges_dir + gauge_name_test
 
@@ -154,14 +154,12 @@
 
 # region to export (used from export_results.py)
-#e_min_area = 648000   # Eastings min
-#e_max_area = 675000
-#n_min_area = 7745000
-#n_max_area = 7761000
+e_min_area = 713500   # Eastings min
+e_max_area = 726350
+n_min_area = 7100890
+n_max_area = 7111250
 
 #export_region = [[e_min_area,n_min_area],[e_min_area,n_max_area],
 #                 [e_max_area,n_max_area],[e_max_area,n_min_area]]
                  
-
-
 #FIXME (Ole): It is bad to read in polygons in project.py. If a file does not exist
 #project.py cannot be imported