Index: anuga_core/source/anuga/geospatial_data/geospatial_data.py
===================================================================
--- anuga_core/source/anuga/geospatial_data/geospatial_data.py	(revision 4640)
+++ anuga_core/source/anuga/geospatial_data/geospatial_data.py	(revision 4641)
@@ -360,5 +360,5 @@
        
     def get_data_points(self, absolute=True, geo_reference=None,
-                        as_lat_long=False,isSH=True):
+                        as_lat_long=False,isSouthHemisphere=True):
         """Get coordinates for all data points as an Nx2 array
 
@@ -385,5 +385,5 @@
                 ### UTMtoLL(northing, easting, zone,
                 lat_calced, long_calced = UTMtoLL(point[1],point[0], 
-                                                  zone, isSH)
+                                                  zone, isSouthHemisphere)
                 lats_longs.append((lat_calced, long_calced)) # to hash
             return lats_longs
@@ -594,5 +594,6 @@
 #        return all_data
     
-    def export_points_file(self, file_name, absolute=True, as_lat_long=False):
+    def export_points_file(self, file_name, absolute=True, 
+                           as_lat_long=False, isSouthHemisphere=True):
         
         """
@@ -606,4 +607,9 @@
         If absolute is False data points at returned as relative to the xll 
         and yll and geo_reference remains uneffected
+        
+        isSouthHemisphere: is only used when getting data 
+        points "as_lat_long" is True and if FALSE will return lats and 
+        longs valid for the Northern Hemisphere.
+        
         """
 
@@ -650,5 +656,6 @@
             _write_csv_file(file_name,
                             self.get_data_points(absolute=True,
-                                                 as_lat_long=as_lat_long), 
+                                                 as_lat_long=as_lat_long,
+                                  isSouthHemisphere=isSouthHemisphere), 
                             self.get_all_attributes(),
                             as_lat_long=as_lat_long)
@@ -658,5 +665,6 @@
             assert absolute, msg
             _write_urs_file(file_name,
-                            self.get_data_points(as_lat_long=True))
+                            self.get_data_points(as_lat_long=True,
+                                  isSouthHemisphere=isSouthHemisphere))
                                                           
         else:
Index: anuga_core/source/anuga/geospatial_data/test_geospatial_data.py
===================================================================
--- anuga_core/source/anuga/geospatial_data/test_geospatial_data.py	(revision 4640)
+++ anuga_core/source/anuga/geospatial_data/test_geospatial_data.py	(revision 4641)
@@ -219,6 +219,10 @@
         
         geo_reference = Geo_reference(zone=zone)
-        geo = Geospatial_data(boundary_polygon,geo_reference=geo_reference)
-        seg_lat_long = geo.get_data_points(as_lat_long=True,isSH=False)
+        geo = Geospatial_data(boundary_polygon,
+                              geo_reference=geo_reference)
+                              
+        seg_lat_long = geo.get_data_points(as_lat_long=True,
+                                           isSouthHemisphere=False)
+                                           
         lat_result = degminsec2decimal_degrees(8.31,0,0)
         long_result = degminsec2decimal_degrees(98.273,0,0)
@@ -1064,5 +1068,5 @@
 #            dict = import_points_file(fileName,delimiter=' ')
 #            results = Geospatial_data()
-            results = Geospatial_data(fileName, delimiter=' ', verbose=True)
+            results = Geospatial_data(fileName, delimiter=' ', verbose=False)
 #            results.import_points_file(fileName, delimiter=' ')
         except IOError:
@@ -2368,5 +2372,5 @@
     #suite = unittest.makeSuite(Test_Geospatial_data, 'test_get_data_points_lat_longIII')
     suite = unittest.makeSuite(Test_Geospatial_data, 'test')
-    runner = unittest.TextTestRunner()
+    runner = unittest.TextTestRunner() #verbosity=2)
     runner.run(suite)
 